"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchInscription = void 0;
const umi_1 = require("@metaplex-foundation/umi");
async function fetchInscription(context, publicKey, options) {
    const maybeAccount = await context.rpc.getAccount((0, umi_1.publicKey)(publicKey, false), options);
    (0, umi_1.assertAccountExists)(maybeAccount, 'InscriptionMetadata');
    return maybeAccount.data;
}
exports.fetchInscription = fetchInscription;
//# sourceMappingURL=inscription.js.map